- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TInvalidPropertyException
TLazyLoadList
TObjectProxy
TPropertyAccess
TSqlMapApplicationCache
TSqlMapCache
TSqlMapConfig
TSqlMapConfigurationException
TSqlMapDuplicateException
TSqlMapException
TSqlMapExecutionException
TSqlMapFifoCache
TSqlMapGateway
TSqlMapLruCache
TSqlMapManager
TSqlMapPagedList
TSqlMapTypeHandler
TSqlMapTypeHandlerRegistry
TSqlMapUndefinedException

Keyword

# Class TSqlMapCache

#### Direct Known Sub-classes:

TSqlMapFifoCache , TSqlMapLruCache

Allow different implementation of caching strategy. See <tt>TSqlMapFifoCache</tt> for a first-in-first-out implementation. See <tt>TSqlMapLruCache</tt> for a least-recently-used cache implementation.

Since: 3.1
Author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Constructor Summary
public | __construct Array Create a new cache with limited cache size.

Method Summary
void | add ( mixed $id, mixed $value, mixed $expire, mixed $dependency)
object the | delete ( mixed $key)
void | flush () Clears the cache.
int | getCacheSize ()
void | setCacheSize ( int $value) Maximum number of items to cache. Default size is 100.

Constructor Details

## __construct

public __construct | Array

Create a new cache with limited cache size.

Method Details

## add

public void add | (mixed $id , mixed $value , mixed $expire , mixed $dependency )

Input
mixed | $id |
mixed | $value |
mixed | $expire |
mixed | $dependency |
Output
Exception
throws | TSqlMapException not implemented.

## delete

public object the delete | (mixed $key )

Input
mixed | $key |
Output
object the | object removed if exists, null otherwise.
Exception

## flush

public void flush | ()

Clears the cache.

Output
Exception

## getCacheSize

public int getCacheSize | ()

Output
int | cache size.
Exception

## setCacheSize

public void setCacheSize | (int $value )

Maximum number of items to cache. Default size is 100.

Input
int | $value | cache size.
Output
Exception